<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
 xmlns:tx="http://www.kokken.go.jp/taiyo"
 exclude-result-prefixes="tx">
<xsl:strip-space elements="*"/>
<xsl:template match="/">
  <html>
	<head>
	 <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS"/>
	 <meta http-equiv="Content-Style-Type" content="text/css" />
	 <link rel="stylesheet" href="zassi.css" type="text/css" />
	 <title>
		<xsl:value-of select="//@"/>
		u<xsl:value-of select="//@薼"/>v
		i<xsl:value-of select="tx:G/@G"/>
		<xsl:value-of select="tx:G/@N"/>N
		<xsl:value-of select="tx:G/@"/>j
	 </title>
	</head>

	<body>
		<xsl:apply-templates select="tx:G"/>
	</body>
  </html>
</xsl:template>

<xsl:template match="tx:L">
	<h2><xsl:value-of select="@薼"/></h2>
	<p class="right"><xsl:value-of select='@'/></p>
	<p class="honmon"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="tx:O">
<xsl:if test="./tx:tg">
    <a id="{./tx:tg/@id}" class="target_string" title="sɈvt" onClick="JavaScript:alert('sɈvt');"/>
</xsl:if>

<xsl:choose>
<xsl:when test="contains(./@ԍ,'T')">
	<span class="note" title="O:{@L}FNbNŊg\" onClick="Javascript:url='gaiji/{@ԍ}.png';window.open(url,'_blank','width=120,height=120');">
	<img alt="[O{@ԍ}]" src="gaiji/{@ԍ}.png" width="24" class="mojihaba">
	<xsl:if test="./tx:tg">
	<xsl:attribute name="style">border:1pt solid red</xsl:attribute>
	</xsl:if>
	</img>
	</span>
</xsl:when>
<xsl:otherwise>
	<span class="note" title="{@ԍ}FNbNŊg\" onClick="Javascript:url='gaiji/large/{format-number(@ԍ, '000000')}.gif';window.open(url,'_blank','width=120,height=120');">
	<img alt="[{@ԍ}]" src="gaiji/{format-number(@ԍ, '000000')}.gif" class="mojihaba">
	<xsl:if test="./tx:tg">
	<xsl:attribute name="style">border:1pt solid red</xsl:attribute>
	</xsl:if>
	</img>
	</span>
</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template match="tx:s"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:"><span class="small"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:s"><span class="gray">^</span></xsl:template>

<xsl:template match="tx:\LXJEg"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:͑Ώ">
<span class="box"><xsl:value-of select="@"/></span>
</xsl:template>

<xsl:template match="tx:t"><SUP><xsl:apply-templates/></SUP></xsl:template>
<xsl:template match="tx:t"><SUB><xsl:apply-templates/></SUB></xsl:template>
<xsl:template match="tx:"><span class="gouji"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:"><span class="kogaki"><xsl:apply-templates/></span></xsl:template>
<xsl:template match="tx:ӎIi"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:">
  <xsl:choose>
	<xsl:when test="@[.='']">
	<span class="note" title="y}}zK͌`={@K͌`}@={@}" onClick="JavaScript:alert('y}}zK͌`={@K͌`}@={@}');">
	<xsl:apply-templates/>
	</span>
	</xsl:when>

	<xsl:otherwise>
	<span class="note" title="yCz={@}@={@}" onClick="JavaScript:alert('yCz={@}@={@}');">
	<xsl:apply-templates/>
	</span>
	</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="tx:p">
	<q><span title="={@} b={@b}" onClick="JavaScript:alert('={@} b={@b}');">
	<xsl:apply-templates/>
	</span></q>
</xsl:template>

<!-- hit -->
  <xsl:template match="tx:tg">
    <a class="target_string" title="sɈvt" onClick="JavaScript:alert('sɈvt');">
    <xsl:attribute name="id">
      <xsl:value-of select="@id"/>
    </xsl:attribute>
      <xsl:apply-templates/>
    </a>
  </xsl:template>


<xsl:template name="">
	<p class="right gray small">
iO\̂߁Ả̕摜t@CgpĂ܂Bj
	</p>
</xsl:template>

</xsl:stylesheet>
