<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
 xmlns:tx="http://www.kokken.go.jp/taiyo"
 exclude-result-prefixes="tx">
<xsl:import href="zassi_common.xsl"/>

<xsl:output indent="no" encoding="Shift_JIS" method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>

<xsl:strip-space elements="*"/>

<xsl:template match="tx:G">
	<div class="tate">
	 <h3>
	  <xsl:value-of select="@G"/>
	  <span class="yoko"><xsl:value-of select="@N"/></span>N
	  <span class="yoko"><xsl:value-of select="@"/></span>
		<span class="small">
		  <span class="yoko">
		    <xsl:value-of select="descendant::tx:l[position()=1]/@ʒu"/>
		  </span>`
		  <span class="yoko">
		    <xsl:value-of select="descendant::tx:l[position()=last()]/@ʒu"/>
		  </span>
		</span>
	 </h3>
	<xsl:apply-templates/>
	<xsl:call-template name=""/>
	</div>
</xsl:template>

<xsl:template match="tx:l"><xsl:apply-templates/></xsl:template>

<xsl:template match="tx:br">
 <xsl:if test="@">
 <span class="gray"><xsl:value-of select="@rt"/></span>
 </xsl:if>
<br />
</xsl:template>

<xsl:template match="tx:r">
<RUBY>
<xsl:apply-templates/><RP>m</RP>
<RT><xsl:value-of select="@rt"/></RT>
<RP>n</RP>
</RUBY>
</xsl:template>

</xsl:stylesheet>
